﻿Type=Class
Version=3
@EndOfDesignText@
#Region Module Attributes
	#IgnoreWarnings: 12
#End Region
'Events declaration
'#Event: ItemClick(Position As Int, Value As Object)

'Class module
Sub Class_Globals
	Private mTarget As Object
	Private mEventName As String
	Private dbd As AHDashboard
	Private sm1 As SlideMenu
	Private IconLoc,IconThings As Panel
	Private index As Int
	Private Button1 As Button
	Private Label1 As Label
    Private eb As cInputBox
	Private bt As Button
	Private menu As ahaMenu
   
End Sub

'This module must have,whenever you have created the custom view.
Public Sub Initialize(TargetModule As Object, EventName As String)
	mTarget = TargetModule
	mEventName = EventName
End Sub

'This module must have,whenever you have created the custom view.

' parameter still used lbl ,is not be dashboard

Public Sub DesignerCreateView(Base As Panel, lbl As Label, Props As Map) 
    Base.LoadLayout("1")
	
	
	dbd.Initialize("")
	'create a dashboard and add it to the Base panel.
	Base.Color = Colors.White
	Base.AddView(dbd, 0, 0, Base.Width, Base.Height)
	
	
	'config the properties of custom dashboard
	sm1.Initialize(Base, Me, "SelectMenu", 42dip, 180dip)

	sm1.AddItem("Add Location", LoadBitmap(File.DirAssets, "Location.png"), 1)
	sm1.AddItem("Add Things", LoadBitmap(File.DirAssets, "Things.png"), 2)
End Sub
'Show the slidemenu
Private Sub btnShow_Click
	sm1.Show
End Sub

'Event sub which is called when an item in the slidemenu is clicked
Private Sub SlideMenu_Click(Item As Object,Base As Panel)
Dim Lbl As String=""
	Lbl=SetNameOfIcon(Base)
	index=index+1
	Select Item
	Case 1
	    IconLoc.Initialize("")
		IconLoc.LoadLayout("IconLoc")  '<= using IconLoc instead of Activity 
		IconLoc.Color = Colors.Transparent
		Label1.Text = Lbl
		Button1.Tag = "Location"&index
		dbd.AddView(IconLoc, 200dip, 300dip)
	Case 2
	    IconThings.Initialize("")
		IconThings.LoadLayout("IconThings")  '<= using IconThings instead of Activity 
		IconThings.Color = Colors.Transparent
		Label1.Text = Lbl
		Button1.Tag = "Things"&index
		dbd.AddView(IconThings, 200dip, 300dip)
		Log(dbd.NumberOfViews)
		

	End Select
End Sub
Private Sub cInputBoxBtn_click(Base As Panel)
	Dim B As Button
	B=Sender
	EditBox.Button_click(B.Tag,eb,Base)
End Sub
Private Sub SetNameOfIcon(Base As Panel) As String
	Dim r As Int
	r=EditBox.Show(eb,Base,"Set Name of Icon","Enter text here","OK","Cancel",eb.cInputBoxEditText.INPUT_TYPE_TEXT)
	If r=DialogResponse.POSITIVE Then
		Return eb.Result
	Else
	    Return "No Name"
	End If
End Sub
Private Sub Button1_Click(Base As Panel)
	
	bt = Sender
    Dim istr As String=bt.Tag
	If istr.Contains("Location") Then
	     'ToastMessageShow("Display everything in IconLoc",False)
		menu.Initialize(Base,Me,"Menu",bt.Left,bt.Top)
    	menu.AddMenuItem("Open...",Null,"1")
		menu.AddMenuItem("Rename...",Null,"3")
	    menu.AddMenuItem("Delete",Null,"4")
		menu.OpenMenu
	
		 
	Else
	     'ToastMessageShow("Display information of the thing which selected"  ,False) 
	    menu.Initialize(Base,Me,"Menu",bt.Left,bt.Top)
    	menu.AddMenuItem("Open...",Null,"1")
		menu.AddMenuItem("Move...",Null,"2")
		menu.AddMenuItem("Rename...",Null,"3")
	    menu.AddMenuItem("Delete",Null,"4")
		menu.OpenMenu
	
	End If
End Sub

Private Sub Menu_Click(ReturnValue As Object,Base As Panel)
	'ToastMessageShow("Menuitem #" & ReturnValue & " clicked!",False)
	Dim i As Int=ReturnValue
	Select i
		Case 1
		          Dim TargetStr As String=bt.Tag
				  If TargetStr.Contains("Location") Then
				      'This call will bring DashBoardActivity to front and will then execute ShowDashBoard
					   'CallSubDelayed2(DashBoardActivity, "ShowDashBoard", Label1.Text)
					   CallSub2(mTarget,"ShowDashBoard",Label1.Text) 'similar to CallSub(),but has 2 parameters 	
				  Else
				  End If
				  
		Case 2
		Case 3    'ReName Icon
			      Dim lbl As String=""
		     	  lbl=SetNameOfIcon(Base)
		       	  Label1.Text = lbl
		Case 4    'Delete Icon
		          Dim sf As StringFunctions
				  sf.Initialize
		          Dim TargetStr As String=bt.Tag
				  Dim TargetIndex As Int=0
				  If TargetStr.Contains("Location") Then
				     TargetIndex=sf.Trim(sf.Stuff(TargetStr,sf.AddSpaces(0),"Location"))
				  Else
				     TargetIndex=sf.Trim(sf.Stuff(TargetStr,sf.AddSpaces(0),"Things"))
				  End If
				  Log(TargetIndex)
		          'dashboard.RemoveViewAt(TargetIndex)
				  
	End Select
	
End Sub

'*******************
'Private Sub cboBox_ItemClick (Position As Int, Value As Object)  
'    CallSub3(mTarget, mEventName & "_" & "ItemClick",Position,Value) 'similar to CallSub(),but has 2 parameters 	
'End Sub
'